=== lib/tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 macro(add_search_test name)
     ecm_add_test("${name}test.cpp"
                 TEST_NAME "${test}"
-                LINK_LIBRARIES Qt::Core KF5::AkonadiCore KF5::AkonadiMime KF5::Mime KF5::Contacts KF5::AkonadiSearchPIM
+                LINK_LIBRARIES Qt::Core KPim${KF_MAJOR_VERSION}::AkonadiCore KPim${KF_MAJOR_VERSION}::AkonadiMime KPim${KF_MAJOR_VERSION}::Mime KF${KF_MAJOR_VERSION}::Contacts KPim${KF_MAJOR_VERSION}::AkonadiSearchPIM
     )
 endmacro()
