=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
-               libkf5akonadiserver-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
+               libkf5akonadiserver-dev (>= 4:23.08.5~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.5~),
                libkf5runner-dev (>= 5.31.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
@@ -50,13 +50,13 @@
 Package: libkf5akonadisearch-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
-         libkf5akonadiserver-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadimime-dev (>= 4:23.08.5~),
+         libkf5akonadiserver-dev (>= 4:23.08.5~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5mime-dev (>= 23.08.1~),
+         libkf5mime-dev (>= 23.08.5~),
          libkpim5akonadisearchcore5 (= ${binary:Version}),
          libkpim5akonadisearchdebug5 (= ${binary:Version}),
          libkpim5akonadisearchpim5 (= ${binary:Version}),
