=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,13 @@
 	for pkg in $(pkgs_lib); do \
 		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
 		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
-		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
+		dh_makeshlibs -p$${pkg} -V "libkf5akonadisearch-bin, libkf5akonadisearch-plugins, $${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
 	done
+
+override_dh_shlibdeps:
+	dh_shlibdeps $(foreach p,$(lib_packages),-p$(p)) -- -xlibkf5akonadisearch-bin -xlibkf5akonadisearch-plugins
+	dh_shlibdeps --remaining-packages
+
 override_dh_auto_test:
 	- xvfb-run -- dh_auto_test --no-parallel
